Bug 459580 - Export librfc822
Export librfc822
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: maildrop (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-20 08:29 EDT by Bastien Nocera
Modified: 2009-12-18 01:19 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:19:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2008-08-20 08:29:41 EDT
We're hoping to use the library described in:
http://www.courier-mta.org/maildrop/rfc822.html
to parse podcast dates in totem-pl-parser.

But librfc822 isn't available in any separate package, just maildrop as an internal copy.

The best would be to split maildrop into:
- maildrop, main package
- librfc822
- librfc822-devel

I'm willing to do the work on the spec file if that's agreeable to you.
Comment 1 Axel Thimm 2008-08-20 10:16:51 EDT
Bastien, check out the review request (bug #241596 comment #24) to see why the rfc* libs were not published. I had contacted upstream on 8 months ago and there was no interest in having these libs as public interfaces [1]. The shared versions even break on weak symbols. It isn't difficult to fix, but if upstream isn't interested in maintaining shared lib support then there is little use to it.

So if you do need these libs, you will either need to

a) convince upstream that these are needed and help them make proper shared libs 
   out of it
b) ignore upstream and patch proper shared lib support anyway into Fedora's
   packages
c) just rip out what you need.

I wouldn't want to go b) ("stay close to upstream") and I think if you actually explain to Sam about your needs he will be more open to a) than he was when I asked.

[1] From the mail archives of courier-maildrop@lists.sourceforge.net (30.12.2007)

Axel Thimm writes:

> It looks like some libs are not being installed,
> e.g. libunicode. Building it statically works, but for certain
> distributions like Fedora (where I'm trying to import this package)
> the builds need to be shared.
>
> Can someone help to fix this? Thanks!

These small component libraries are intended to be statically linked. They
are built as libtool convenience libraries (noinst_LTLIBRARIES), and since
they have no installation rpath (because they're noinst), libtool won't
include them when linking shared libraries.

If you really insist on having them as separate, shared libraries, you will
have to patch their individual makefiles, declare them as lib_LTLIBRARIES,
and rebuild automake. Then, it will work. But, I wouldn't recommend it.
These convenience libraries are very small, and there's a handful of them.
Installing them as separate shared libraries just pollutes libdir even more.
Comment 2 Bug Zapper 2008-11-25 21:49:35 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-11-18 03:18:19 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 01:19:26 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.